SessionManager (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, interface: SessionManager

Package org.apache.geode.modules.session.catalina

# Interface SessionManager

All Known Implementing Classes:
  `DeltaSessionManager`, `Tomcat10DeltaSessionManager`

public interface SessionManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getEnableDebugListener()`
  `boolean`
  `getEnableGatewayDeltaReplication()`
  `boolean`
  `getEnableGatewayReplication()`
  `boolean`
  `getEnableLocalCache()`
  `org.apache.juli.logging.Log`
  `getLogger()`
  `int`
  `getMaxInactiveInterval()`
  `boolean`
  `getPreferDeserializedForm()`
  Deprecated.
  no replacement.
  `String`
  `getRegionAttributesId()`
  `String`
  `getRegionName()`
  `String`
  `getStatisticsName()`
  `boolean`
  `isBackingCacheAvailable()`
  `boolean`
  `isCommitValveEnabled()`
  `boolean`
  `isCommitValveFailfastEnabled()`

- ## Method Details

  - ### getRegionName

    String getRegionName()

  - ### getRegionAttributesId

    String getRegionAttributesId()

  - ### getMaxInactiveInterval

    int getMaxInactiveInterval()

  - ### getEnableGatewayReplication

    boolean getEnableGatewayReplication()

  - ### getEnableGatewayDeltaReplication

    boolean getEnableGatewayDeltaReplication()

  - ### getEnableDebugListener

    boolean getEnableDebugListener()

  - ### getEnableLocalCache

    boolean getEnableLocalCache()

  - ### isCommitValveEnabled

    boolean isCommitValveEnabled()

  - ### isCommitValveFailfastEnabled

    boolean isCommitValveFailfastEnabled()

  - ### isBackingCacheAvailable

    boolean isBackingCacheAvailable()

  - ### getPreferDeserializedForm

    @Deprecated boolean getPreferDeserializedForm()
    Deprecated.
    no replacement. Always prefer deserialized form.
    Returns:
      whether to prefer deserialized form

  - ### getStatisticsName

    String getStatisticsName()

  - ### getLogger

    org.apache.juli.logging.Log getLogger()